using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
	delegate void ClearStageEventHandler();
	delegate void ScrollStageEventHandler(int x, int y);
	delegate void MainCharacterDiedEventHandler();

	class StageCommand
	{
		public event ClearStageEventHandler OnClearStageCommandCalled;
		public event ScrollStageEventHandler OnScrollStageCommandCalled;
		public event MainCharacterDiedEventHandler OnMainCharacerDiedCommandCalled;

		public void ClearStageCommand()
		{
			if (OnClearStageCommandCalled != null)
			{
				OnClearStageCommandCalled();
			}
		}

		public void ScrollStageCommand(int x, int y)
		{
			if (OnScrollStageCommandCalled != null)
			{
				OnScrollStageCommandCalled(x, y);
			}
		}

		public void MainCharacterDiedCommand()
		{
			if (OnMainCharacerDiedCommandCalled != null)
			{
				OnMainCharacerDiedCommandCalled();
			}
		}
	}
}
